<?php
/**
 * @file
 * Contains Licensing information for miniOrange SAML Login Module.
 */

 /**
 * Showing Licensing form info.
 */
namespace Drupal\miniorange_saml_idp\Form;
use Drupal\Core\Form\FormBase;
use Drupal\miniorange_saml_idp\Utilities;
use Drupal\miniorange_saml_idp\MiniorangeSAMLIdpConstants;

class MiniorangeLicensing extends FormBase {

public function getFormId() {
    return 'miniorange_saml_licensing';
  }

public function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state) {

    $user_email = \Drupal::config('miniorange_saml_idp.settings')->get('miniorange_saml_customer_admin_email');
    $Target_value = 'target="_blank"';
    $Premium_URL_Redirect = MiniorangeSAMLIdpConstants::BASE_URL .'/moas/login?username='.$user_email.'&redirectUrl='. MiniorangeSAMLIdpConstants::BASE_URL .'/moas/initializepayment&requestOrigin='. Utilities::getSamlRequestPlanName();

    $form['header_top_style_2'] = array(
        '#markup' => '<div class="mo_saml_table_layout_1"><div class="mo_saml_table_layout">',
        '#attached' => array(
            'library' => array(
                "miniorange_saml_idp/miniorange_saml_idp.admin",
            )
        ),
    );

    $form['markup_1'] = array(
        '#markup' =>'<br><h3>&emsp;UPGRADE PLANS</h3><hr>'
    );

    $form['markup_free'] = array(
        '#markup' => '<html lang="en">
        <head>
            <meta charset="utf-8">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <!-- Main Style -->
        </head>
        <body>
        <!-- Pricing Table Section -->
        <section id="mo_pricing-table">
            <div class="mo_container_1">
                <div class="row">
                    <div class="pricing">
                        <div>
                            <div class="mo_pricing-table mo_class_inline_1"><br>
                                <div class="pricing-header">
                                    <h1 class="pricing-title">Features / Plans</h1><br>
                                </div>
                                <div class="pricing-list">
                                    <ul>
                                        <li>Unlimited Authentications with</li>
                                        <li>SP Initiated Login</li>
                                        <li>Signed Assertion</li>
                                        <li>Metadata XML File</li>
                                        <li>Metadata XML URL</li>
                                        <li>Export Configuration</li>
                                        <li>Import Configuration</li>
                                        <li>Customized Attribute Mapping</li>
                                        <li>Single Logout</li>
                                        <li>Signed Assertion</li>
                                        <li>Signed Response</li>
                                        <li>Encrypted Assertion</li>
                                        <li>HTTP-POST Binding</li>
                                        <li>Generate Custom Certificate</li>
                                        <li>End to End Configuration **</li>
                                    </ul>
                                </div>
                        </div>

                        <div class="mo_pricing-table mo_class_inline">
                            <div class="pricing-header">
                                <p class="pricing-title">Free</p><br><br><br><br><br><br><br>
                                <p class="pricing-rate">
                                </p>
                                <div class="filler-class"></div>
                                 <a class="mobtn mo_btn_primary mo_btn_sm" style="padding:5px;">Thank You for Upgrading</a><br><br>
                            </div>

                            <div class="pricing-list">
                                <ul>
                                    <li>1 SP</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                </ul>
                            </div>
                        </div>
                        
                        <div class="mo_pricing-table mo_class_inline">
                            <div class="pricing-header pricing_header_height">
                                <p class="pricing-title">Premium<br></p>
                                <p class="pricing-rate"></p>
                                 <a class="mobtn mo_btn_primary mo_btn_sm" style="padding:5px;" '.$Target_value.' href="'.$Premium_URL_Redirect.'">You are on this plan</a>*<br><br></h4>
                                 <div class="mo_idp_premium_filler_class"></div>
                            </div>
                            <div class="pricing-list">
                                <ul>
                                    <li>Multiple SPs</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Pricing Table Section End -->
    </body>
    </html>',
    );

    $form['hello1'] = [ '#type' => 'html_tag', '#tag' => 'script', '#attributes'=> ["src"=>"https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"]];

    $form['hello'] = [ '#type' => 'html_tag', '#tag' => 'script', '#value' => $this ->t('
            jQuery(document).ready(function($){
                $($("p.pricing-rate")[1]).append($(".js-form-item-mo-pricing-dropdown"));
                $($("p.pricing-rate")[1]).append($(".mo_pricing_plus_sign"));
                $($("p.pricing-rate")[1]).append($(".js-form-item-do-it-yourself-pricing"));
            });
        '), ];
    $form['mo_pricing_dropdown'] = [
        '#type' => 'select',
        '#title' => t('<div class="mo_saml_local_pricing_text">Service Providers :(One Time)</div>'),
        '#options' => array(
            '1' => t('1 - $50'),
            '2' => t('2 - $100'),
            '3' => t('3 - $150'),
            '4' => t('4 - $200'),
            '5' => t('5 - $250'),
            '10' => t('10 - $400'),
            '15' => t('15 - $525'),
            '20' => t('20- $600'),
        ),

    ];

    $form['mo_pricing_plus_sign'] = array(
        '#markup' => '<br><div class="mo_pricing_plus_sign">+</div>',
    );

    $form['Do_it_yourself_pricing'] = array(
        '#type' => 'select',
        '#title' => t('<div class="mo_saml_local_pricing_text">Users : (One Time)</div>'),
        '#options' => array(
            '1-100' => t('1-100 - $450'),
            '101-200' => t('101-200 - $550'),
            '201-300' => t('201-300 - $650'),
            '301-400' => t('301-400 - $750'),
            '401-500' => t('401-500 - $850'),
            '501-1000' => t('501-1000 - $1250'),
            '1001-2000' => t('1001-2000 - $1600'),
            '2001-3000' => t('2001-3000 - $1900'),
            '3001-4000' => t('3001-4000 - $2150'),
            '4001-5000' => t('4001-5000 - $2400'),
            '5000+' => t('5000+ Users - Contact Us'),
        ),
    );

    $form['markup_5'] = array(
        '#markup' => '</b><div class="mo_saml_space">'
    );

    $form['markup_6'] = array(
      '#markup' => '<h3>** End to End Identity Provider Integration (additional charges applied)</h3>'
        . ' We will setup a Conference Call / Gotomeeting and do end to end configuration for you to setup dupal as IDP.'
        . ' We provide services to do the configuration on your behalf.<br />'
        . ' If you have any doubts regarding the licensing plans, you can mail us at <a href="mailto:drupalsupport@xecurify.com"><i>drupalsupport@xecurify.com</i></a> or submit a query using the support form.<br><br>
                  <br><b>Return Policy -</b><br><br>At miniOrange, we want to ensure 100% customer satisfaction with our product/module purchase. If the module you purchased is not working as advertised and you\'ve attempted to resolve any issues with our support team, which couldn\'t get resolved, we will refund the whole amount given that you have raised a refund request within the first 10 days of the purchase. For any queries regarding the return policy, please email us at <a href="mailto:drupalsupport@xecurify.com">drupalsupport@xecurify.com</a>.<br><br></div></div></div></div>'
    );

  return $form;
 }

  public function submitForm(array &$form, \Drupal\Core\Form\FormStateInterface $form_state) {
  }

 }